<html>
<head>
<title>Ogre::EdgeListBuilder::Geometry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1EdgeListBuilder.html">EdgeListBuilder</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html">Geometry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EdgeListBuilder::Geometry Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EdgeListBuilder::Geometry" -->
<p>A set of indexed geometry data.  
 <a href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EdgeListBuilder_1_1Geometry-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a515e33f1461254ad3cdc7245b1376858">vertexSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a75be34874367518d28ca0b75bfc59b85">indexSet</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a39ec43d8e228bc697e446ae290123c5d">indexData</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a4a9b3308bf20885d61f2795b0b897903">opType</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A set of indexed geometry data. </p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00211">211</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a39ec43d8e228bc697e446ae290123c5d"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::indexData" ref="a39ec43d8e228bc697e446ae290123c5d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a39ec43d8e228bc697e446ae290123c5d">Ogre::EdgeListBuilder::Geometry::indexData</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00214">214</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a75be34874367518d28ca0b75bfc59b85"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::indexSet" ref="a75be34874367518d28ca0b75bfc59b85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a75be34874367518d28ca0b75bfc59b85">Ogre::EdgeListBuilder::Geometry::indexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00213">213</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

<p>Referenced by <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00219">Ogre::EdgeListBuilder::geometryLess::operator()()</a>.</p>

</div>
</div>
<a class="anchor" id="a4a9b3308bf20885d61f2795b0b897903"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::opType" ref="a4a9b3308bf20885d61f2795b0b897903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#a7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a4a9b3308bf20885d61f2795b0b897903">Ogre::EdgeListBuilder::Geometry::opType</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00215">215</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div>
<a class="anchor" id="a515e33f1461254ad3cdc7245b1376858"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::vertexSet" ref="a515e33f1461254ad3cdc7245b1376858" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#a515e33f1461254ad3cdc7245b1376858">Ogre::EdgeListBuilder::Geometry::vertexSet</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00212">212</a> of file <a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a>.</p>

<p>Referenced by <a class="el" href="OgreEdgeListBuilder_8h_source.html#l00219">Ogre::EdgeListBuilder::geometryLess::operator()()</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h_source.html">OgreEdgeListBuilder.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
